### File

`packages/components/eui-wizard/models/eui-wizard-step.ts`

### Implements

`IEuiWizardStep`

### Index

###### Properties
id index indexIconSvgName indexLabel isActive isCompleted isDisabled isInvalid isShowStepTitle isWarning label subLabel url
###### Methods
toJSON

### Constructor

`constructor(values: any)`
Parameters :
Name | Type | Optional
values | `any` | No

### Properties

id
Type : `string`

index
Type : `number`

indexIconSvgName
Type : `string`

indexLabel
Type : `string`

isActive
Type : `unknown`
Default value : `false`

isCompleted
Type : `unknown`
Default value : `false`

isDisabled
Type : `unknown`
Default value : `false`

isInvalid
Type : `unknown`
Default value : `false`

isShowStepTitle
Type : `unknown`
Default value : `false`

isWarning
Type : `unknown`
Default value : `false`

label
Type : `string`

subLabel
Type : `string`

url
Type : `string`

### Methods

toJSON
`toJSON()`
Returns : `object`

# results matching ""

# No results matching ""